import { ModuleWithProviders } from '@angular/core';
import { EmployeeServiceConfig } from './model/employee.service.config';
export * from './model/employee.service.config';
export * from './model/employee';
export * from './service/employee.service';
export * from './pipe/departments.pipe';
export * from './pipe/employee-by-dn.pipe';
export * from './pipe/employee-photo-url.pipe';
export * from './pipe/employees-with-property-value.pipe';
export * from './pipe/is-member-of.pipe';
export * from './pipe/sort-employees.pipe';
export declare class EmployeeModule {
    static forRoot(employeeConfig: EmployeeServiceConfig): ModuleWithProviders;
    constructor(parentModule: EmployeeModule);
}
